com.genesyslab.wfm7.API.service.schedule761

## Class SchValidation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchValidation

- All Implemented Interfaces:
    java.io.Serializable

      public class SchValidation
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Agent Day modification validation messages
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId` Agent ID
    `private double` | `wmDate` Date `OleDateTime`
    `private java.lang.String[]` | `wmErrors` An array of error messages
    `private int` | `wmErrorsNSizeIs` Number of elements in "wmErrors" array
    `private int` | `wmSiteId` Site ID
    `private java.lang.String[]` | `wmWarnings` An array of warning messages
    `private int` | `wmWarningsNSizeIs` Number of elements in "wmWarnings" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchValidation()`
    `SchValidation(int wmSiteId, int gswAgentId, double wmDate, int wmErrorsNSizeIs, java.lang.String[] wmErrors, int wmWarningsNSizeIs, java.lang.String[] wmWarnings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchValidation.
    `double` | `getWmDate()` Gets the wmDate value for this SchValidation.
    `java.lang.String[]` | `getWmErrors()` Gets the wmErrors value for this SchValidation.
    `int` | `getWmErrorsNSizeIs()` Gets the wmErrorsNSizeIs value for this SchValidation.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchValidation.
    `java.lang.String[]` | `getWmWarnings()` Gets the wmWarnings value for this SchValidation.
    `int` | `getWmWarningsNSizeIs()` Gets the wmWarningsNSizeIs value for this SchValidation.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchValidation.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this SchValidation.
    `void` | `setWmErrors(java.lang.String[] wmErrors)` Sets the wmErrors value for this SchValidation.
    `void` | `setWmErrorsNSizeIs(int wmErrorsNSizeIs)` Sets the wmErrorsNSizeIs value for this SchValidation.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchValidation.
    `void` | `setWmWarnings(java.lang.String[] wmWarnings)` Sets the wmWarnings value for this SchValidation.
    `void` | `setWmWarningsNSizeIs(int wmWarningsNSizeIs)` Sets the wmWarningsNSizeIs value for this SchValidation.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### gswAgentId

          private int gswAgentId

      Agent ID

    - #### wmDate

          private double wmDate

      Date `OleDateTime`

    - #### wmErrorsNSizeIs

          private int wmErrorsNSizeIs

      Number of elements in "wmErrors" array

    - #### wmErrors

          private java.lang.String[] wmErrors

      An array of error messages

    - #### wmWarningsNSizeIs

          private int wmWarningsNSizeIs

      Number of elements in "wmWarnings" array

    - #### wmWarnings

          private java.lang.String[] wmWarnings

      An array of warning messages

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchValidation

          public SchValidation()

    - #### SchValidation

          public SchValidation(int wmSiteId,
                       int gswAgentId,
                       double wmDate,
                       int wmErrorsNSizeIs,
                       java.lang.String[] wmErrors,
                       int wmWarningsNSizeIs,
                       java.lang.String[] wmWarnings)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchValidation.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchValidation.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchValidation.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchValidation.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this SchValidation.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this SchValidation.
      Parameters:
        `wmDate` -

    - #### getWmErrorsNSizeIs

          public int getWmErrorsNSizeIs()

      Gets the wmErrorsNSizeIs value for this SchValidation.
      Returns:
        wmErrorsNSizeIs

    - #### setWmErrorsNSizeIs

          public void setWmErrorsNSizeIs(int wmErrorsNSizeIs)

      Sets the wmErrorsNSizeIs value for this SchValidation.
      Parameters:
        `wmErrorsNSizeIs` -

    - #### getWmErrors

          public java.lang.String[] getWmErrors()

      Gets the wmErrors value for this SchValidation.
      Returns:
        wmErrors

    - #### setWmErrors

          public void setWmErrors(java.lang.String[] wmErrors)

      Sets the wmErrors value for this SchValidation.
      Parameters:
        `wmErrors` -

    - #### getWmWarningsNSizeIs

          public int getWmWarningsNSizeIs()

      Gets the wmWarningsNSizeIs value for this SchValidation.
      Returns:
        wmWarningsNSizeIs

    - #### setWmWarningsNSizeIs

          public void setWmWarningsNSizeIs(int wmWarningsNSizeIs)

      Sets the wmWarningsNSizeIs value for this SchValidation.
      Parameters:
        `wmWarningsNSizeIs` -

    - #### getWmWarnings

          public java.lang.String[] getWmWarnings()

      Gets the wmWarnings value for this SchValidation.
      Returns:
        wmWarnings

    - #### setWmWarnings

          public void setWmWarnings(java.lang.String[] wmWarnings)

      Sets the wmWarnings value for this SchValidation.
      Parameters:
        `wmWarnings` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.